1. 1688 Order Manage
  • 1688 API
    • 1688 Product Search
      • API for Visual Search of Similar Products
        • API for Image upload
        • API for Visual Search of Similar Products
      • API for Product Keyword Search
      • API for Product Detail Search
      • API for Searching Products in a Shop
    • 1688 Logistics
      • API for China Domestic Shipping Cost
    • 1688 Category
      • API for Category Search on 1688
    • 1688 Order Manage
      • API for Creating Preview Order
        POST
      • API for Creating Formal Order
        POST
      • API for Canceling Formal Order
        POST
      • API for Querying Order Details
        POST
      • API for Confirming Order Receipt
        POST
      • API for Retrieving Payment Link
        GET
      • API for Auto Payment of Order
        POST
    • 1688 Message Service
      • Order Created Message
      • Order Price Modification Message
      • Transaction Payment Message
      • Order Delivery Message
      • Logistics Order Status Change
      • Order Receipt Confirmation Message
      • Transaction Completed Message
      • Signature Verification
  1. 1688 Order Manage

API for Auto Payment of Order

POST
/alibaba/trade/pay/protocolPay/preparePay
This API initiates automatic payment for scenarios with authorized password-free or auto-debit agreements. The system deducts the order amount automatically without user cashier confirmation.

Request

Body Params application/json

Examples

Responses

🟒200成功
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://open-api.soureco.com/alibaba/trade/pay/protocolPay/preparePay' \
--header 'Content-Type: application/json' \
--data '{
  "appKey": "",
  "appSecret": "",
  "orderId": "1938489823"
}'
Response Response Example
{
    "code": 200,
    "message": "ζ“δ½œζˆεŠŸ",
    "data": {
        "success": true,
        "code": null,
        "message": null,
        "result": {
            "isPaySuccess": null,
            "payChannel": "alipay",
            "paySuccess": true
        }
    },
    "timestamp": 56789223232323,
    "traceId": "e8ed123231cdf",
    "cost": 0
}
Previous
API for Retrieving Payment Link
Next
Order Created Message
Built with